Bug 1941246 - Openshift-apiserver CO unavailable during cluster upgrade from 4.6 to 4.7 [NEEDINFO]
Summary: Openshift-apiserver CO unavailable during cluster upgrade from 4.6 to 4.7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.7
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.7.z
Assignee: Aniket Bhat
QA Contact: zhaozhanqi
URL:
Whiteboard: UpdateRecommendationsBlocked
Depends On: 1935539
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-21 03:28 UTC by OpenShift BugZilla Robot
Modified: 2021-04-30 18:52 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1952358 (view as bug list)
Environment:
Last Closed: 2021-04-05 13:56:19 UTC
Target Upstream Version:
jnordell: needinfo? (anbhat)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2495 0 None closed Bug 1941246: vSphere: Disable tx-udp-tnl offload 2021-04-07 20:48:13 UTC
Red Hat Knowledge Base (Solution) 5896081 0 None None None 2021-04-21 16:45:41 UTC
Red Hat Product Errata RHSA-2021:1005 0 None None None 2021-04-05 13:56:36 UTC

Comment 1 W. Trevor King 2021-03-22 22:30:13 UTC
Manually moving to POST, because the Bugzilla bot won't do that until the 4.8/master bug is VERIFIED or later.

Comment 2 Ross Brattain 2021-03-30 23:12:25 UTC
pre-merge tested with clusterbot build 4.7.0-0.ci.test-2021-03-30-142017-ci-ln-h8vrxlk on vsphere OpenShiftSDN and OVN

VMC
Hypervisor:	VMware ESXi, 7.0.1, 17460241
Model:	Amazon EC2 i3en.metal-2tb
Processor Type:	Intel(R) Xeon(R) Platinum 8259CL CPU @ 2.50GHz

# for f in $(oc get nodes --no-headers -o custom-columns=N:.metadata.name ) ; do oc debug node/$f -- ethtool -k ens192 | grep udp_tnl | tee udp-$f & done

vHW 14
udp-compute-0:tx-udp_tnl-segmentation: off
udp-compute-0:tx-udp_tnl-csum-segmentation: off
vHW 15
udp-compute-1:tx-udp_tnl-segmentation: off
udp-compute-1:tx-udp_tnl-csum-segmentation: off
vHW 17
udp-control-plane-0:tx-udp_tnl-segmentation: off
udp-control-plane-0:tx-udp_tnl-csum-segmentation: off
vHW 16
udp-control-plane-1:tx-udp_tnl-segmentation: off
udp-control-plane-1:tx-udp_tnl-csum-segmentation: off
vHW 13
udp-control-plane-2:tx-udp_tnl-segmentation: off [fixed]
udp-control-plane-2:tx-udp_tnl-csum-segmentation: off [fixed]

Comment 5 W. Trevor King 2021-03-31 03:38:27 UTC
Setting UpdateRecommendationsBlocked [1], since we have blocked 4.6->4.7 for this series since [2].

[1]: https://github.com/openshift/enhancements/pull/426
[2]: https://github.com/openshift/cincinnati-graph-data/pull/718

Comment 8 errata-xmlrpc 2021-04-05 13:56:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.5 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1005

Comment 10 W. Trevor King 2021-04-16 23:47:06 UTC
Note that 4.7.5 has no incoming update sources [1] because 4.7.4 introduced a vSphere hostname regression [2] which was not fixed until 4.7.6 [3].

[1]: https://github.com/openshift/cincinnati-graph-data/pull/732#issuecomment-811168136
[2]: https://bugzilla.redhat.com/show_bug.cgi?id=1942207#c3
[3]: https://bugzilla.redhat.com/show_bug.cgi?id=1943143#c8

Comment 12 W. Trevor King 2021-04-20 23:58:17 UTC
4.7.6 has been in stable-4.7 for days [1] and 4.7.7 just entered fast-4.7 after its errata went public a few hours ago [2].  So folks on earlier 4.7.z looking to avoid this bug have supported updates being recommended to them right now [3]:

$ CHANNEL=fast-4.7 ~/src/openshift/cincinnati/hack/available-updates.sh 4.7.0
4.7.1   quay.io/openshift-release-dev/ocp-release@sha256:93d68c88761c604448280d35367e7a253f1e05891a28d2ee4d99a4b474cf130f       https://access.redhat.com/errata/RHBA-2021:0678
4.7.2   quay.io/openshift-release-dev/ocp-release@sha256:83fca12e93240b503f88ec192be5ff0d6dfe750f81e8b5ef71af991337d7c584       https://access.redhat.com/errata/RHBA-2021:0749
4.7.3   quay.io/openshift-release-dev/ocp-release@sha256:edb08aaadf32f0b2e800f7e29e6f7a1b225211514401e92601ba94a971dec838       https://access.redhat.com/errata/RHBA-2021:0821
4.7.6   quay.io/openshift-release-dev/ocp-release@sha256:2721145d62b8dbff8808cd7b12a8b24a81a8edad8f1078010f58c673f76bb419       https://access.redhat.com/errata/RHBA-2021:1075
4.7.7   quay.io/openshift-release-dev/ocp-release@sha256:aee8055875707962203197c4306e69b024bea1a44fa09ea2c2c621e8c5000794       https://access.redhat.com/errata/RHBA-2021:1149
wking@localhost ~/src/openshift/cincinnati $ CHANNEL=stable-4.7 ~/src/openshift/cincinnati/hack/available-updates.sh 4.7.0
4.7.1   quay.io/openshift-release-dev/ocp-release@sha256:93d68c88761c604448280d35367e7a253f1e05891a28d2ee4d99a4b474cf130f       https://access.redhat.com/errata/RHBA-2021:0678
4.7.2   quay.io/openshift-release-dev/ocp-release@sha256:83fca12e93240b503f88ec192be5ff0d6dfe750f81e8b5ef71af991337d7c584       https://access.redhat.com/errata/RHBA-2021:0749
4.7.3   quay.io/openshift-release-dev/ocp-release@sha256:edb08aaadf32f0b2e800f7e29e6f7a1b225211514401e92601ba94a971dec838       https://access.redhat.com/errata/RHBA-2021:0821
4.7.6   quay.io/openshift-release-dev/ocp-release@sha256:2721145d62b8dbff8808cd7b12a8b24a81a8edad8f1078010f58c673f76bb419       https://access.redhat.com/errata/RHBA-2021:1075


[1]: https://github.com/openshift/cincinnati-graph-data/pull/747#issuecomment-821370498
[2]: https://github.com/openshift/cincinnati-graph-data/pull/754#event-4621305533
[3]: https://github.com/openshift/cincinnati/blob/a28d5b74c291aa24b8d069de134c162c8c95afb3/hack/available-updates.sh
[2]: https://github.com/openshift/cincinnati-graph-data/pull/754#event-4621305533


Note You need to log in before you can comment on or make changes to this bug.